package speiger.src.coreengine;

import java.nio.file.Path;

import speiger.src.coreengine.application.Application;
import speiger.src.coreengine.rendering.input.window.Window;
import speiger.src.coreengine.rendering.input.window.WindowProvider;

public class Testing extends Application {
	public static void main(String... args) {
		System.out.println((int)1E-6F);
		new Testing().run();
	}
	
	@Override
	public String getMainWindowName() { return "Testing"; }

	@Override
	public Window createWindow(WindowProvider provider) throws Exception {
		return provider.createBuilder().setWidth(250).setHeight(250).setName("Testing").build();
	}
	
	@Override
	public void init(Path file) {
	}

	@Override
	public void update() {
	}

	@Override
	public void render(float particalTicks) {
	}

	@Override
	public void destroy() {
		
	}
	
}
